Bug 700095 - remove incorrect fsf address or switch from error to warning
remove incorrect fsf address or switch from error to warning
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
21
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-27 08:45 EDT by Marcela Mašláňová
Modified: 2015-12-02 11:02 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 21:35:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2011-04-27 08:45:07 EDT
Problem:
perl-Padre.noarch: E: incorrect-fsf-address /usr/share/doc/perl-Padre-0.84/COPYING

The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

Could you remove this warning or change it from error to warning? Many upstream projects don't care about copying file at all. I don't think this error could be fixed in many packages. At the moment many of my packages have long list of wrong spelling and this is only another 'cant fix' for me :-/
Comment 1 Ville Skyttä 2011-04-27 10:13:45 EDT
With my upstream hat on:

WONTFIX, will only consider changing it to a warning if it starts to produce false positives.  Just do what the info message says: *you* are not supposed to fix this unless you're upstream, just notify upstream that the file or boilerplate they're shipping is outdated, and if they won't do anything about it, ignore the rpmlint message.
Comment 2 Orion Poplawski 2012-02-15 23:56:39 EST
FWIW - it seems like they are no longer mentioning their address in preamble text, see http://www.gnu.org/licenses/gpl-howto.html
Comment 3 Fedora End Of Life 2013-04-03 13:47:45 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Raphael Groner 2014-08-09 18:58:48 EDT
I get this error with 

http://openmortal.cvs.sourceforge.net/viewvc/openmortal/openmortal/COPYING

rpmlint-1.5-12.fc20.noarch
Comment 5 Gerald Cox 2014-12-23 14:17:40 EST
Issue still occurring with F21.  

I copied the file from:
http://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address

and re-ran the build process.  rpmlint still gives the fsf error.

I then double-checked here:
http://www.fsf.org/about/contact/

and the address matches with is in the COPYING file.  So I'm not exactly sure
why an error is being generated - unless I'm missing something, which 
I'm not ruling out, but I can't figure it out.  

The recommendation is to notify upstream, but as far as I can tell
there is nothing to inform them about.
Comment 6 Ville Skyttä 2014-12-23 15:28:38 EST
The following two are related to whether the check works correctly or not. *This* bug is not related to that, this is a request for disabling the check altogether or changing its level. If you find false positives, please report them in new bugs, not here.

(In reply to Raphael Groner from comment #4)
> I get this error with 
> http://openmortal.cvs.sourceforge.net/viewvc/openmortal/openmortal/COPYING

Yes, that file contains an outdated FSF address, no bug there.

(In reply to Gerald Cox from comment #5)
> I copied the file from:
> http://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address
> 
> and re-ran the build process. rpmlint still gives the fsf error.

Reproducer needed, re-ran the build process of what? Is this a package in Fedora packages repository or a SRPM somewhere else? (Please post a new bug for this, it doesn't belong here.)
Comment 7 Fedora End Of Life 2015-11-04 08:45:12 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-12-01 21:35:22 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.